Get one full provider catalog document
curl --request GET \
--url https://api.paywithlocus.com/api/credits/catalog/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paywithlocus.com/api/credits/catalog/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywithlocus.com/api/credits/catalog/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"version": "2026-08-31",
"view": "detail",
"tenant": {
"defaultMarkupBps": 123,
"defaultFlatMarkupUsd": "<string>",
"creditsPerDollar": 2
},
"provider": {
"provider": "<string>",
"iconFallback": {
"type": "monogram",
"text": "<string>"
},
"serviceUrl": "<string>",
"endpoints": [
{
"slug": "<string>",
"method": "<string>",
"inputSchema": {},
"inputExample": {},
"dynamic": true,
"enabled": true,
"markupBps": 123,
"overridden": true,
"markupSource": "endpoint",
"flatSource": "endpoint",
"flatMarkupUsdc": "<string>",
"flatMarkupUsd": "<string>",
"baseUsdc": "<string>",
"chargedUsdc": "<string>",
"effectiveUsd": "<string>",
"marginUsdc": "<string>",
"baseCredits": "<string>",
"effectiveCredits": "<string>",
"marginCredits": "<string>",
"name": "<string>",
"description": "<string>",
"estimatedCost": "<string>",
"availability": "available",
"unavailableReason": "delivery_breaker",
"systemManaged": true,
"route": "<string>",
"previewRoute": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"category": "<string>",
"secondaryCategories": [
"<string>"
],
"verified": true,
"logoUrl": "<string>",
"websiteUrl": "<string>",
"docsUrl": "<string>",
"catalogPriority": 123,
"catalogIdentity": "<string>",
"attribution": {
"name": "<string>",
"websiteUrl": "<string>",
"logoUrl": "<string>"
},
"marketplaceRank": 123,
"marketplaceFeatured": true,
"externalRail": "mpp",
"availability": "available",
"unavailableReason": "delivery_breaker",
"modelCatalog": {
"schemaVersion": "2026-08-01",
"pricingVersion": "<string>",
"provider": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"freshness": {
"maxAgeSeconds": 1,
"staleAfter": "2023-11-07T05:31:56Z",
"source": "locus-reviewed-static"
},
"models": [
{
"id": "<string>",
"status": "active",
"deprecationDate": "2023-12-25",
"contextWindowTokens": 2,
"providerMaxOutputTokens": 2,
"locusMaxOutputTokens": 2,
"recommendedMinOutputTokens": 2,
"pricing": {
"unit": "usd_per_1m_tokens",
"input": "<string>",
"output": "<string>"
},
"capabilities": {
"text": true,
"vision": true,
"tools": true,
"json": true,
"streaming": true,
"reasoning": true
},
"request": {
"outputTokenField": "max_tokens",
"incompatibleFields": [
"<string>"
]
}
}
]
}
}
}Catalog
Get one full provider catalog document
Fetches executable endpoint schemas and the reviewed model inventory only for the selected provider. For this operation, slug must be one provider ID. Use after the compact list, not as a polling endpoint.
GET
/
credits
/
catalog
/
{slug}
Get one full provider catalog document
Authorizations
dashboardSessionsecretKey
Locus Pro dashboard session (Cognito).
Path Parameters
Provider ID for this read operation.
Required string length:
1 - 256